program pointsprite;

{$IFDEF FPC}
  {$MODE DELPHI}
{$ELSE}
  {$APPTYPE CONSOLE}
{$ENDIF}


uses 
  dglOpenGL,

  SDL,
  easySDL,
	easySDLTextures;

type
  TMyProgram = class(TEasySDL)
		rock,gras:GLUint;

    procedure DrawScene;override;
  end;

var
  MyProgram :TMyProgram;
	TextureManager:TEasySDLTextures;


procedure TMyProgram.DrawScene;
begin
  glClearColor(0,0,0,0);
  glClear(GL_COLOR_BUFFER_BIT or GL_DEPTH_BUFFER_BIT);
  // Hier kommt der OpenGL Code rein

  glLoadIdentity;
  glTranslatef(0,0,-5);

  //Blending aktivieren, Hintergrund belassen zum Pfaden Alpha-Wert nehmen
  glEnable(GL_BLEND);
  glBlendFunc(GL_SRC_ALPHA,GL_ONE);
  glColor4f(1,1,1,0.5);

  glBindTexture(GL_TEXTURE_2D, rock);
  glBegin(gl_Quads);
      glTexCoord2f(0,0);
      glVertex3f(-1,-1,0);
      glTexCoord2f(1,0);
      glVertex3f(1,-1,0);
      glTexCoord2f(1,1);
      glvertex3f(1,1,0);
      glTexCoord2f(0,1);
      glvertex3f(-1,1,0);
  glEnd;

  glBindTexture(GL_TEXTURE_2D, gras);
  glBegin(gl_Quads);
      glTexCoord2f(0,0);
      glVertex3f(-1,-1,0);
      glTexCoord2f(1,0);
      glVertex3f(1,-1,0);
      glTexCoord2f(1,1);
      glvertex3f(1,1,0);
      glTexCoord2f(0,1);
      glvertex3f(-1,1,0);
  glEnd;
end;


begin
  MyProgram := TMyProgram.Create('www.delphigl.com .:. lesson7 - sample1');
  MyProgram.Start;

	TextureManager := TEasySDLTextures.Create;
	TextureManager.Load('../../data/gfx/gras.jpg','gras');
	TextureManager.Load('../../data/gfx/rock.jpg','rock');
	MyProgram.gras := TextureManager.Texture['gras'];
	MyProgram.rock := TextureManager.Texture['rock'];
  MyProgram.Loop;
  MyProgram.Stop;
	TextureManager.free;
end.


end;
