#!/usr/bin/python

import Core;

##########
# German
##########
lang_de = {}

# common
lang_de['cancle'] = "Abbrechen"

#args
lang_de['args_exclusive'] = "--install and --register-only are mutally exclusive"
lang_de['args_tooless'] = "Either --install or --register-only must be given."

lang_de['args_install_help'] = "Startet die Installation der SDK"
lang_de['args_register_help'] = "Fügt nur die Header der SDK als Suchpfad in FPC ein"
lang_de['args_debug_help'] = "Versetzt den Installer in den Debug-Modus"
lang_de['args_lang_help'] = "Erlaubt das Wechseln der Sprache (de/en)"

# distributions
lang_de['dist_fedora'] = "Fedora Core"
lang_de['dist_ubuntu'] = "Ubuntu"
lang_de['dist_freebsd'] = "FreeBSD"
lang_de['dist_suse'] = "Open SuSE"
lang_de['dist_none'] = "Keine"

lang_de['distplan_fedora'] = "Anpassen an Fedora Core"
lang_de['distplan_ubuntu'] = "Anpassen an Ubuntu"
lang_de['distplan_freebsd'] = "Anpassen an FreeBSD"
lang_de['distplan_suse'] = "Anpassen an OpenSuSE"
lang_de['distplan_none'] = "Keine Distributions-Anpassung vornehmen"

# Input
lang_de['input_choose'] = "Bitte waehlen Sie"
lang_de['input_choose2'] = "Bitte geben Sie einen alphanummerischen Wert ein"
lang_de['input_default'] = "oder druecken Sie Enter fuer den Standartwert:"

# chooseDistribution
lang_de['chooseDist_quest'] = "Auf was fuer einem System wird die Installation durchgefuehert?"
lang_de['chooseDist_FedoraTest'] = "getestet mit FC5"
lang_de['chooseDist_UbuntuTest'] = "getestet mit Hoary"
lang_de['chooseDist_FreebsdTest'] = "ungetestet"
lang_de['chooseDist_Suse'] = "ungetestet"
lang_de['chooseDist_Other'] = "Andere (Keine speziellen Anpassungen)"

# choosePath
lang_de['choosePath_quest'] = "In welchen Pfad soll die SDK installiert werden?"

# misc


#######
# new
#######

# action
lang_de['action_remove'] = "Entferne alte DGLSDK"
lang_de['action_installSDK'] = "Installiere DGLSDK"
lang_de['action_dist'] = "Installiere Pakete fuer "
lang_de['action_register'] = "Trage Suchpfade ein"
lang_de['action_compile'] = "Kompiliere Header"
lang_de['action_uninstaller'] = "Generiere Uninstaller"

# install
lang_de['install_wait'] = "Der Vorgang kann einige Minuten dauern. Bitte gedulden Sie sich."
# error
lang_de['error_installRemove'] = "Die alte SDK konnte nicht entfernt werden. Es liegt vermutlich ein Rechteproblem vor."
lang_de['error_instalLSDK'] = "Die Daten der SDK konnten nicht kopiert werden. Es liegt vermutlich ein Rechteproblem vor."
lang_de['error_installDistribution'] = "Die Anpassungen an die Distribution schlugen fehl. Bitte konsultieren Sie das Logfile."
lang_de['error_installRegister'] = "Die Datei /etc/fpc.cfg existiert nicht, obwohl sie da sein sollte."

##########
# English
##########
lang_en = {}
lang_en['cancle'] = "Cancle"

# bind
lang_symbol = {"de":lang_de,"en":lang_en}

# translate a symbol
def i18n(symbol):
	# todo: Fallback (FS)
	cl = lang_symbol[Core.opt['lang']]
	return cl[symbol]
