#!/usr/bin/python
import Core
import Lang
import sys

from optparse import OptionParser

# Import Psyco if available
try:
	import psyco
	psyco.full()
except ImportError:
	pass

# Load default and display header
Core.loadDefaults();
Core.showHeader()

# check for given parameters
Core.checkArgs(sys.argv)
#Core.showOptions()

if Core.opt['install']:
	Core.displayWizard()
	if not Core.acceptInstall():
		sys.exit(0)
		
	# start installation
	Core.doInstall()
	Core.showSuccess()
	sys.exit(0)
	
if Core.opt['register']:
	# register-only
	if not Core.acceptInstall():
		sys.exit(0)
	Core.installRegister()
	sys.exit(0)
