program Lesson3_1;
{$IFDEF FPC}
  {$MODE DELPHI}
{$ELSE}
  {$APPTYPE CONSOLE}
{$ENDIF}

uses 
  dglOpenGL,
  easySDL,SDL;
  
type
  TMyProgram=class(TEasySDL)
    procedure DrawScene;override;
  end;

var
  MyProgram :TMyProgram;


procedure TMyProgram.DrawScene;
begin
  // Der Bildschirm wird "gecleart"
  glClear(GL_COLOR_BUFFER_BIT OR GL_DEPTH_BUFFER_BIT);

  // Die World-Matrix wird zurck gesetzt
  glLoadIdentity;
  // Kamera leicht weg bewegen vom Objekt (sinngem!!!)
  glTranslatef( 0,  0,  -10);

  glColor3f(1,0,0);
  glBegin(GL_TRIANGLES);
    glVertex3f(-1.0,-1.0, 0.0);
    glVertex3f( 0.0, 1.0, 0.0);
    glVertex3f( 1.0,-1.0, 0.0);
  glEnd();

  glLoadIdentity;
  // Nun ein kleines Stck darber ein Dreick zeichnen
  glTranslatef( 0,  2,  -10);

  glColor3f(1,1,1);
  glBegin(GL_TRIANGLES);
    glVertex3f(-1.0,-1.0, 0.0);
    glVertex3f( 0.0, 1.0, 0.0);
    glVertex3f( 1.0,-1.0, 0.0);
  glEnd();

  glLoadIdentity;
  glTranslatef( 0, -2,  -10); // Und ein kleines Stck darunter!

  glColor3f(0,0,1);
  glBegin(GL_TRIANGLES);
    glVertex3f(-1.0,-1.0, 0.0);
    glVertex3f( 0.0, 1.0, 0.0);
    glVertex3f( 1.0,-1.0, 0.0);
  glEnd();

  {  Technisch gesehen wrde man dieses Problem eher mit glPopMatrix und       }
  {  glPushMatrix lsen. Wir setzen hingegen jedesmal die Einheits-Matrix und  }
  {  dann die Transformations-Matrix mitsamt Camera-Abstand neu!               }
end;

begin
  MyProgram := TMyProgram.Create;
  MyProgram.Start;
  MyProgram.Loop;
  MyProgram.Stop;
end.
