program lesson3_2;
{$IFDEF FPC}
  {$MODE DELPHI}
{$ELSE}
  {$APPTYPE CONSOLE}
{$ENDIF}

uses 
  dglOpenGL,
  easySDL,SDL;
  
type
  TMyProgram=class(TEasySDL)
    angle:Single;
    procedure DrawScene;override;
    procedure UpdateWorld(Seconds:TGLFloat);override;
    constructor Create;
  end;

var
  MyProgram :TMyProgram;
  
procedure TMyProgram.UpdateWorld(Seconds:TGLFloat);
begin
  // NeuePosition := altePosition + Geschwindigkeit*VergangeneZeit
  angle           := angle        + 180 * Seconds;


  while (angle > 360) do angle := angle - 360;

end;
constructor TMyProgram.Create;
begin
  inherited;
  angle := 0; // Start Drehwinkel
end;

procedure TMyProgram.DrawScene;
begin
  glClear(GL_COLOR_BUFFER_BIT OR GL_DEPTH_BUFFER_BIT);


    {Man beachte, dass wir nachdem wir die Einheits-Matrix setzen, die Position
     transformieren und dann erst die Rotations-Matrix erzeugen. Beachtet auch, dass
     wir bei glRotate die Achse angeben, um welche sich das Objekt drehen soll. Wir knnen
     es auch um mehre Achsen gleichzeitig drehen lassen!
    }

    {Mittleres Dreiech, rotiert gegen Uhrzeigersinn}
    glLoadIdentity;
    glTranslatef( 0,  0,  -10);
    glRotatef(angle,0,1,0);               // Statt Angel liesse sich auch ein anderer Grad-Wert benutzen

    glBegin(GL_TRIANGLES);
        glColor3f(1,0,0);                // alle weiteren Vertice werden rot gezeichnet
        glVertex3f(-1.0,-1.0, 0.0);
        glColor3f(0,1,0);                // alle weiteren Verticen werden grn gezeichnet
        glVertex3f( 0.0, 1.0, 0.0);
        glColor3f(0,0,1);                // alle weiteren Verticen werden blau gezeichnet
        glVertex3f( 1.0,-1.0, 0.0);
    glEnd();

    glLoadIdentity;
    glTranslatef( -2,  0,  -10);
    glRotatef(angle,1,0,0);

    glBegin(GL_TRIANGLES);
        glColor3f(1,0,0);                // alle weiteren Vertice werden rot gezeichnet
        glVertex3f(-1.0,-1.0, 0.0);
        glColor3f(0,1,0);                // alle weiteren Verticen werden grn gezeichnet
        glVertex3f( 0.0, 1.0, 0.0);
        glColor3f(0,0,1);                // alle weiteren Verticen werden blau gezeichnet
        glVertex3f( 1.0,-1.0, 0.0);
    glEnd();

    glLoadIdentity;
    glTranslatef( 2,  0,  -10);
    glRotatef(angle,0,0,1);

    glBegin(GL_TRIANGLES);
        glColor3f(1,0,0);                // alle weiteren Vertice werden rot gezeichnet
        glVertex3f(-1.0,-1.0, 0.0);
        glColor3f(0,1,0);                // alle weiteren Verticen werden grn gezeichnet
        glVertex3f( 0.0, 1.0, 0.0);
        glColor3f(0,0,1);                // alle weiteren Verticen werden blau gezeichnet
        glVertex3f( 1.0,-1.0, 0.0);
    glEnd();
end;

begin
  MyProgram := TMyProgram.Create;
  
  MyProgram.Start;
  MyProgram.Loop;
  MyProgram.Stop;
end.
