program lesson3_5;
{$IFDEF FPC}
  {$MODE DELPHI}
{$ELSE}
  {$APPTYPE CONSOLE}
{$ENDIF}

uses 
  dglOpenGL,
  easySDL,SDL;
  
type
  TMyProgram=class(TEasySDL)
    EarthRot, MoonRot : Single;
    procedure DrawScene;override;
    procedure UpdateWorld(Seconds:TGLFloat);override;
    constructor Create;
  end;

var
  MyProgram :TMyProgram;
  
procedure TMyProgram.UpdateWorld(Seconds:TGLFloat);
begin
  // NeuePosition := altePosition + Geschwindigkeit*VergangeneZeit
  EarthRot        := EarthRot     + 5* 1           * Seconds;
  MoonRot         := MoonRot      + 5* 30          * Seconds;


  while (EarthRot > 360) do EarthRot := EarthRot - 360;
  while (MoonRot > 360) do MoonRot := MoonRot - 360;
end;
constructor TMyProgram.Create;
begin
  inherited;
  EarthRot := 0; // Start Drehwinkel der Erde
  EarthRot := 0; // Start Drehwinkel des Mondes
end;

procedure TMyProgram.DrawScene;
begin
  glClear(GL_COLOR_BUFFER_BIT OR GL_DEPTH_BUFFER_BIT);

  // Sonne
  glLoadIdentity;
  glTranslatef( 0,  0,  -10);
  glColor3ub(255,255,0);
  glBegin(GL_TRIANGLES);
      glVertex3f(-1.0,-1.0, 0.0);
      glVertex3f( 0.0, 1.0, 0.0);
      glVertex3f( 1.0,-1.0, 0.0);
  glEnd();

  // Erde
  glRotatef(EarthRot,0,-1,0);
  glTranslatef( -4,  0,  0);
  glPushMatrix;
  glScalef(0.5,0.5,0.5);
  glColor3ub(0,0,255);
  glBegin(GL_TRIANGLES);
      glVertex3f(-1.0,-1.0, 0.0);
      glVertex3f( 0.0, 1.0, 0.0);
      glVertex3f( 1.0,-1.0, 0.0);
  glEnd();
  glPopMatrix;

  //Mond
  glRotatef(MoonRot,0.2,1,0);
  glTranslatef(-1,0,0);
  glScalef(0.1,0.1,0.1);
  glColor3ub(200,200,200);
  glBegin(GL_TRIANGLES);
      glVertex3f(-1.0,-1.0, 0.0);
      glVertex3f( 0.0, 1.0, 0.0);
      glVertex3f( 1.0,-1.0, 0.0);
  glEnd();
end;

begin
  MyProgram := TMyProgram.Create;
  
  MyProgram.Start;
  MyProgram.Loop;
  MyProgram.Stop;
end.
