program lesson3_6;
{$IFDEF FPC}
  {$MODE DELPHI}
{$ELSE}
  {$APPTYPE CONSOLE}
{$ENDIF}

uses 
  dglOpenGL,
  easySDL,SDL;
  
type
  TMyProgram=class(TEasySDL)
    procedure DrawScene;override;
  end;

var
  MyProgram :TMyProgram;
  


procedure TMyProgram.DrawScene;
begin
  glClear(GL_COLOR_BUFFER_BIT OR GL_DEPTH_BUFFER_BIT);

  glLoadIdentity;
  glTranslatef(0,0,-10);

  // Nachdem der Abstand zur Cam gesetzt wurde, merken wir uns die Position
  glPushMatrix;

  glTranslatef(-2,0,0);        // Beachtet, hier ist die World-Matrix bereits verndert worden
  glBegin(GL_TRIANGLES);
      glColor3f(1,0,0);
      glVertex3f(-1.0,-1.0, 0.0);
      glColor3f(0,1,0);
      glVertex3f( 0.0, 1.0, 0.0);
      glColor3f(0,0,1);
      glVertex3f( 1.0,-1.0, 0.0);
  glEnd();

  glPopMatrix;               // Und hier setzen wir sie wieder auf dem Stand, vor dem letzten glPushMatrix-Aufruf!
  glTranslatef(2,0,0);
  glBegin(GL_TRIANGLES);
      glColor3f(1,0,0);
      glVertex3f(-1.0,-1.0, 0.0);
      glColor3f(0,1,0);
      glVertex3f( 0.0, 1.0, 0.0);
      glColor3f(0,0,1);
      glVertex3f( 1.0,-1.0, 0.0);
  glEnd();

end;

begin
  MyProgram := TMyProgram.Create;
  
  MyProgram.Start;
  MyProgram.Loop;
  MyProgram.Stop;
end.
